package model

import "gorm.io/gorm"

type Reconciliation struct {
	gorm.Model
	BundleOrderOn    string  `gorm:"column:bundle_order_on;comment:套餐交易编号" json:"bundleOrderOn"`
	BundleAddOrderOn string  `gorm:"column:bundle_add_order_on;comment:增值套餐交易编号" json:"bundleAddOrderOn"`
	UserID           uint64  `gorm:"column:user_id;comment:艺人id" json:"userId"`
	UserName         string  `gorm:"column:user_name;comment:艺人" json:"userName"`
	UserTel          string  `gorm:"column:user_tel;comment:艺人手机号" json:"userTel"`
	BundleName       string  `gorm:"column:bundle_name;comment:套餐名称" json:"bundleName"`
	PayAmount        float32 `gorm:"column:pay_amount;comment:支付金额" json:"payAmount"`
	CurrencyType     int     `gorm:"column:currency_type;comment:币种1:人民币 2美元" json:"currencyType"`
	PayChannel       int     `gorm:"column:pay_channel;comment:支付渠道" json:"payChannel"`
	PayTime          string  `gorm:"column:pay_time;comment:支付渠道" json:"payTime"`
	PayStatus        int     `gorm:"column:pay_status;comment:支付状态" json:"payStatus"`
	SerialNumber     string  `gorm:"column:serial_number;comment:流水号" json:"serialNumber"`
	CreationTime     string  `gorm:"column:creation_time;comment:创建时间" json:"creationTime"`
}
