package app

import (
	"github.com/bwmarrin/snowflake"
	"go.uber.org/zap"
	"gorm.io/gorm"
	"micro-bundle/pkg/tracing"
)

var ModuleClients *App

type App struct {
	Lg *zap.Logger
	//RedisClient  *redis.Client
	JaegerTracer *tracing.JaegerProvider
	BundleDB     *gorm.DB
	SfNode       *snowflake.Node
}
