package msg

const (
	SERVER_CONFIG         = "config.yaml"
	SERVER_DUBBOGO_CONFIG = "dubbogo.yaml"
	MODE_ENV              = "MODE_ENV"
)

const (
	Success = "操作成功"
	Failed  = "操作失败"
)
const (
	ZH_CN = "zh-CN" //简体中文
	ZH_TW = "zh-TW" //繁体中文
	EN    = "EN"    //英文
	DE_DE = "de-DE" //德语
	JS_JP = "js-JP" //日语
)

const (
	Http          = 200
	OriginalPrice = 3500 // 注意！！！这边是原始价格如果发生更改，则默认增值套餐需要停用，并且新增新的增值套餐（功能未做）
	DiscountPrice = 2300
	Fixed         = 1 // 固定套餐
	Custom        = 2 // 自定义套餐
)

const (
	ErrorDatetime = "时间格式错误"
)

// 套餐信息
const (
	ErrorCreateBundleInfo   = "创建套餐信息失败"
	SuccessCreateBundleInfo = "创建套餐信息成功"

	ErrorUpdateBundleInfo   = "更新套餐信息失败"
	SuccessUpdateBundleInfo = "更新套餐信息成功"

	ErrorDeleteBundleInfo   = "删除套餐信息失败"
	SuccessDeleteBundleInfo = "删除套餐信息成功"

	ErrorGetBundleList = "获取套餐列表失败"

	ErrorGetBundleInfo = "获取套餐信息失败"
)

// 订单信息
const (
	ErrorCreateOrderInfo   = "创建订单信息失败"
	SuccessCreateOrderInfo = "创建订单信息成功"

	ErrorUpdateOrderInfo   = "更新订单信息失败"
	SuccessUpdateOrderInfo = "更新订单信息成功"

	ErrorGetOrderInfo = "获取订单信息失败"

	ErrorGetOrderList   = "获取订单列表失败"
	ErrorBundleNotFound = "套餐不存在"
	ErrorDataConvert    = "数据转换失败"
)

// 增值套餐信息
const (
	ErrorCreateValueAddBundleInfo   = "创建增值套餐信息失败"
	SuccessCreateValueAddBundleInfo = "创建增值套餐信息成功"

	ErrorUpdateValueAddBundleInfo   = "更新增值套餐信息失败"
	SuccessUpdateValueAddBundleInfo = "更新增值套餐信息成功"

	ErrorDeleteValueAddBundleInfo   = "删除增值套餐信息失败"
	SuccessDeleteValueAddBundleInfo = "删除增值套餐信息成功"

	ErrorGetValueAddBundleList = "获取增值套餐列表失败"
	ErrorGetValueAddBundleInfo = "获取增值套餐信息失败"
)

// 事务
const (
	ErrorTransaction       = "事务失败"
	ErrorCommitTransaction = "提交事务失败"
)

// 增值服务信息
const (
	ErrorCreateValueAddServiceInfo   = "创建增值服务信息失败"
	SuccessCreateValueAddServiceInfo = "创建增值服务信息成功"
	ErrorUpdateValueAddServiceInfo   = "更新增值服务信息失败"
	SuccessUpdateValueAddServiceInfo = "更新增值服务信息成功"
	ErrorValueAddServiceList         = "获取增值服务列表失败"
	SuccessValueAddServiceList       = "获取增值服务列表成功"
	ErrorValueAddServiceInfo         = "获取增值服务详情失败"
	SuccessValueAddServiceInfo       = "获取增值服务详情成功"
	//校验
	ErrorValueServiceNameEmpty      = "增值服务名称不能为空"
	ErrorValueServiceTypeEmpty      = "增值服务类型不能为空"
	ErrorValueServicePriceModeEmpty = "增值服务价格模式不能为空"
	ErrorValueServiceOptionsEmpty   = "增值服务选项不能为空"
)
